<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-6">
      <div *ngIf="!authService.isLoggedIn()">
        <div class="text-center">
          <h1>Inloggen</h1>
        </div>

        <div *ngIf="wrongCredentials == true" class="text-danger">
          Voer de juiste inloggegevens in
        </div>

        <form
          #registerForm="ngForm"
          name="form"
          (ngSubmit)="registerForm.form.valid && login()"
          novalidate
        >
          <div class="form-group">
            <label for="username">Gebruikersnaam:</label>
            <input
              [(ngModel)]="user.username"
              name="username"
              id="username"
              #username="ngModel"
              class="form-control"
              type="text"
              required
            />
            <div
              *ngIf="username.invalid && username.touched"
              class="alert alert-danger"
            >
              <div *ngIf="username.errors.required" id="usernameInvalidMessage">
                Voer gebruikersnaam in
              </div>
            </div>
          </div>
          <div class="form-group">
            <label for="password">Wachtwoord:</label>
            <input
              [(ngModel)]="user.password"
              name="password"
              id="password"
              #password="ngModel"
              class="form-control"
              type="password"
              required
            />
            <div
              *ngIf="password.invalid && password.touched"
              class="alert alert-danger"
            >
              <div *ngIf="password.errors.required" id="passwordInvalidMessage">
                Voer wachtwoord in
              </div>
            </div>
          </div>
          <button id="submit" type="submit" class="btn btn-medium btn-main">
            Inloggen
          </button>
          <a routerLink="/register"> Account aanmaken </a>
        </form>
      </div>
    </div>
  </div>
</div>
